# Same IP Address (DNS A)

The domains that resolve to the same IP address as apple.com: 64.

Source: https://docs.deepinfo.com/reference/discovery/associated-domain-finder/examples/dns-a/

Last updated: 2026-09-26

---
`GET https://api.deepinfo.com/v1/discovery/associated-domain-finder?domain=apple.com&association=dns_a&page_size=25`

The domains that resolve to the same IP address as apple.com: 64.

Example 8 of 11 in **One Association Type** · [Associated Domain Finder Examples](/reference/discovery/associated-domain-finder/examples/) · endpoint: [Associated Domain Finder](/reference/discovery/associated-domain-finder/)

Tags: `param` `association` · `param` `domain` · `value` `dns_a` · `value` `apple.com`

`association=dns_a` compares the addresses of the DNS A record.

The API found 64 domains that share an address with `apple.com` (`17.253.144.10` in the records shown): `applecomputer.co.kr`, and also names such as `receive-xi.yachts` whose A record points to the same address. An IP match finds domains that the registrant data does not.

In the response, look at `results[].dns.a.ip_addresses`.

## Request

| Parameter | In | Value |
|---|---|---|
| `domain` | query | `apple.com` |
| `association` | query | `dns_a` |
| `page_size` | query | `25` |

```bash
curl 'https://api.deepinfo.com/v1/discovery/associated-domain-finder?domain=apple.com&association=dns_a&page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

## Response

### 200 · OK

> Shortened for this page: results: 3 of 25 shown

`Content-Type: application/json` · `ratelimit-limit: 10` · `ratelimit-remaining: 7` · `ratelimit-reset: 26` · `x-ratelimit-limit-minute: 10` · `x-ratelimit-remaining-minute: 7` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 64,
  "results": [
    {
      "punycode": "applecomputer.co.kr",
      "unicode": "applecomputer.co.kr",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "applecomputer",
        "unicode": "applecomputer",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 13,
        "lang": "en",
        "keywords": [
          "apple",
          "computer"
        ],
        "keyword_count": 2,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "applecomputer.co.kr",
        "unicode": "applecomputer.co.kr",
        "is_idn": false,
        "name": {
          "punycode": "applecomputer",
          "unicode": "applecomputer",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 13,
          "lang": "en",
          "keywords": [
            "apple",
            "computer"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "co.kr",
          "unicode": "co.kr",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "kr",
          "unicode": "kr",
          "is_idn": false
        },
        "extension_sub": {
          "punycode": "co",
          "unicode": "co",
          "is_idn": false
        },
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "1999-01-20T00:00:00Z",
          "update_date": "2023-10-06T00:00:00Z",
          "expiry_date": "2026-10-15T00:00:00Z",
          "registrar": "gabia, inc.",
          "registrant": {
            "name": "REDACTED FOR PRIVACY",
            "organization": "apple korea limited",
            "street": "REDACTED FOR PRIVACY",
            "city": null,
            "state": null,
            "postal_code": "REDACTED FOR PRIVACY",
            "country": null,
            "phone": "REDACTED FOR PRIVACY",
            "email": "REDACTED FOR PRIVACY"
          },
          "name_servers": [
            "a.ns.apple.com",
            "b.ns.apple.com",
            "c.ns.apple.com",
            "d.ns.apple.com"
          ],
          "domain_status": [],
          "whois_server": null,
          "check_date": "2026-09-16T14:07:58Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": "applekorealimited",
            "phone": "REDACTED FOR PRIVACY",
            "email": "REDACTED FOR PRIVACY",
            "email_fqdn_apex": "REDACTED FOR PRIVACY",
            "email_domain_apex": "REDACTED FOR PRIVACY"
          }
        },
        "whois_last_check_date": "2026-09-16T14:07:58Z",
        "whois_create_date_historical": [
          "1999-01-20T00:00:00Z"
        ],
        "whois_last_change_date": "2023-10-07T21:47:50Z",
        "whois_registrant_email_historical": [
          "user@apple.com"
        ],
        "whois_privacy_enabled": false,
        "dns": {
          "a": {
            "update_date": "2026-09-05T17:47:53Z",
            "ip_addresses": [
              "17.253.144.10"
            ]
          }
        },
        "dns_last_change_date": "2026-05-04T12:11:23Z",
        "ip_history": [
          "211.234.20.2",
          "17.253.144.10"
        ],
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-05T17:47:53Z",
          "ip_addresses": [
            "17.253.144.10"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-05T17:47:53Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-05T17:47:53Z",
          "name_servers": [
            "a.ns.apple.com",
            "b.ns.apple.com",
            "c.ns.apple.com",
            "d.ns.apple.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-05T17:47:53Z",
          "mail_servers": [
            "mail.apple.com"
          ]
        },
        "soa": {
          "update_date": "2026-09-05T17:47:53Z",
          "mnames": [
            "ns-ext-prod.jackfruit.apple.com"
          ],
          "rnames": [
            "user.apple.com"
          ],
          "rname_emails": [
            "user@apple.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-05T17:47:53Z",
          "values": [
            "\"This is a test.\"",
            "\"v=spf1 -all\""
          ]
        },
        "cname": {
          "update_date": "2026-09-05T17:47:53Z",
          "values": []
        },
        "others": [
          {
            "update_date": "2023-08-04T14:25:25Z",
            "values": [],
            "type": "DNSKEY"
          },
          {
            "update_date": "2023-08-04T14:25:25Z",
            "values": [],
            "type": "DS"
          },
          {
            "update_date": "2023-08-04T14:25:25Z",
            "values": [],
            "type": "SPF"
          }
        ]
      },
      "dns_last_change_date": "2026-05-04T12:11:20Z",
      "ip_history": [
        "211.234.20.2",
        "17.253.144.10"
      ],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "3e28e130157e8259223785ba5ce2a2078cd2696d33db11d4f03de9df418c8d52"
        },
        "http": {
          "status_code_first": 404,
          "status_code_last": 404,
          "redirection_history": [
            {
              "url": "http://applecomputer.co.kr/",
              "status_code": 404
            }
          ],
          "external_redirection": null,
          "final_url": "http://applecomputer.co.kr/",
          "final_fqdn": "applecomputer.co.kr",
          "final_domain": "applecomputer.co.kr",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Fri, 31 Jul 2026 15:14:12 GMT"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              },
              {
                "name": "via",
                "value": "http/1.1 usden5-edge-bx-012.ts.apple.com (acdn/327.16648)"
              },
              {
                "name": "content_language",
                "value": "en"
              },
              {
                "name": "x_cache",
                "value": "none"
              },
              {
                "name": "cdnuuid",
                "value": "45ef2867-6e57-405b-afa1-92da8b56e7df-5228942968"
              },
              {
                "name": "content_length",
                "value": "287"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "no-store",
            "clear_site_data": null,
            "content_encoding": null,
            "content_security_policy": null,
            "content_type": "text/html",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": null,
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "receive-xi.yachts",
      "unicode": "receive-xi.yachts",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "receive-xi",
        "unicode": "receive-xi",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": true,
        "length": 10,
        "lang": "en",
        "keywords": [
          "receive",
          "xi"
        ],
        "keyword_count": 2,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "receive-xi.yachts",
        "unicode": "receive-xi.yachts",
        "is_idn": false,
        "name": {
          "punycode": "receive-xi",
          "unicode": "receive-xi",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": true,
          "length": 10,
          "lang": "en",
          "keywords": [
            "receive",
            "xi"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "yachts",
          "unicode": "yachts",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "yachts",
          "unicode": "yachts",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2026-02-01T04:01:22Z",
          "update_date": "2026-02-01T04:13:33Z",
          "expiry_date": "2027-02-01T23:59:59Z",
          "registrar": "hefei juming network technology co., ltd",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "agustin.ns.cloudflare.com",
            "gene.ns.cloudflare.com"
          ],
          "domain_status": [
            "addperiod",
            "clienttransferprohibited",
            "servertransferprohibited"
          ],
          "whois_server": "whois.nic.yachts",
          "check_date": "2026-02-01T10:59:47Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-02-01T10:59:47Z",
        "whois_create_date_historical": [
          "2026-02-01T04:01:22Z"
        ],
        "whois_last_change_date": "2026-02-01T11:03:07Z",
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-20T11:24:59Z",
            "ip_addresses": [
              "17.253.144.10"
            ]
          }
        },
        "dns_last_change_date": "2026-09-20T11:25:21Z",
        "ip_history": [
          "104.21.43.226",
          "172.67.186.186",
          "17.253.144.10"
        ],
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-20T11:24:59Z",
          "ip_addresses": [
            "17.253.144.10"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-20T11:24:59Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-20T11:24:59Z",
          "name_servers": [
            "agustin.ns.cloudflare.com",
            "jen.ns.cloudflare.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-20T11:24:59Z",
          "mail_servers": [
            "mail.receive-xi.yachts"
          ]
        },
        "soa": {
          "update_date": "2026-09-20T11:24:59Z",
          "mnames": [
            "agustin.ns.cloudflare.com"
          ],
          "rnames": [
            "dns.cloudflare.com"
          ],
          "rname_emails": [
            "user@cloudflare.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-20T11:24:59Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-20T11:24:59Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-20T11:25:21Z",
      "ip_history": [
        "104.21.43.226",
        "172.67.186.186",
        "17.253.144.10"
      ],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": {
        "connection_status": "timeout",
        "html": null,
        "http": null
      }
    },
    {
      "punycode": "3miko.xyz",
      "unicode": "3miko.xyz",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "3miko",
        "unicode": "3miko",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": true,
        "contains_hyphen": false,
        "length": 5,
        "lang": "en",
        "keywords": [
          "miko"
        ],
        "keyword_count": 1,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "3miko.xyz",
        "unicode": "3miko.xyz",
        "is_idn": false,
        "name": {
          "punycode": "3miko",
          "unicode": "3miko",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": true,
          "contains_hyphen": false,
          "length": 5,
          "lang": "en",
          "keywords": [
            "miko"
          ],
          "keyword_count": 1
        },
        "extension": {
          "punycode": "xyz",
          "unicode": "xyz",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "xyz",
          "unicode": "xyz",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2022-10-02T00:34:17Z",
          "update_date": "2025-10-17T23:02:45Z",
          "expiry_date": "2026-10-02T23:59:59Z",
          "registrar": "dynadot inc",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "vip7.alidns.com",
            "vip8.alidns.com"
          ],
          "domain_status": [
            "clienttransferprohibited"
          ],
          "whois_server": "whois.nic.xyz",
          "check_date": "2026-06-16T01:32:38Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-06-16T01:32:38Z",
        "whois_create_date_historical": [
          "2022-10-02T00:34:17Z"
        ],
        "whois_last_change_date": "2026-06-16T01:33:00Z",
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-09T03:59:25Z",
            "ip_addresses": [
              "17.253.144.10"
            ]
          }
        },
        "dns_last_change_date": "2026-09-09T03:59:34Z",
        "ip_history": [
          "75.2.115.196",
          "17.253.144.10"
        ],
        "ssl": null,
        "ssl_last_change_date": null
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-09T03:59:25Z",
          "ip_addresses": [
            "17.253.144.10"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-09T03:59:25Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-09T03:59:25Z",
          "name_servers": [
            "vip7.alidns.com",
            "vip8.alidns.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-09T03:59:25Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-09-09T03:59:25Z",
          "mnames": [
            "vip7.alidns.com"
          ],
          "rnames": [
            "hostmaster.hichina.com"
          ],
          "rname_emails": [
            "user@hichina.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-09T03:59:25Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-09T03:59:25Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-09T03:59:33Z",
      "ip_history": [
        "75.2.115.196",
        "17.253.144.10"
      ],
      "ssl": null,
      "ssl_last_change_date": null,
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "3e28e130157e8259223785ba5ce2a2078cd2696d33db11d4f03de9df418c8d52"
        },
        "http": {
          "status_code_first": 404,
          "status_code_last": 404,
          "redirection_history": [
            {
              "url": "http://3miko.xyz/",
              "status_code": 404
            }
          ],
          "external_redirection": null,
          "final_url": "http://3miko.xyz/",
          "final_fqdn": "3miko.xyz",
          "final_domain": "3miko.xyz",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Mon, 31 Aug 2026 18:29:11 GMT"
              },
              {
                "name": "connection",
                "value": "keep-alive"
              },
              {
                "name": "via",
                "value": "http/1.1 usden5-edge-bx-006.ts.apple.com (acdn/331.16659)"
              },
              {
                "name": "content_language",
                "value": "en"
              },
              {
                "name": "x_cache",
                "value": "none"
              },
              {
                "name": "cdnuuid",
                "value": "f1222bed-1b18-4439-bb5f-ec6d54d94e17-3119031539"
              },
              {
                "name": "content_length",
                "value": "287"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "no-store",
            "clear_site_data": null,
            "content_encoding": null,
            "content_security_policy": null,
            "content_type": "text/html",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": null,
            "server": null,
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    }
  ],
  "domain": "apple.com",
  "requested_association_parameters": [
    "dns_a"
  ],
  "applied_association_parameters": [
    "dns_a"
  ]
}
```

## Related Examples

- [Same Name Servers in WHOIS](/reference/discovery/associated-domain-finder/examples/whois-ns/)
- [Same Name Servers in DNS](/reference/discovery/associated-domain-finder/examples/dns-ns/)
- [Same Normalized Registrant Phone](/reference/discovery/associated-domain-finder/examples/whois-registrant-phone-normalized/)
- [Same Mail Servers (DNS MX)](/reference/discovery/associated-domain-finder/examples/dns-mx/)
- [Same Registrant Phone](/reference/discovery/associated-domain-finder/examples/whois-registrant-phone/)
- [Same Organization in the Certificate](/reference/discovery/associated-domain-finder/examples/ssl-subject-organization/)
